### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information

# Class DAVChildRepository

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
com.sas.services.information.DAVRepository
com.sas.services.information.DAVChildRepository

All Implemented Interfaces:
  `ChildRepositoryInterface`, `DAVRepositoryInterface`, com.sas.services.information.InformationServiceTimerClient, `MetadataChangeListener`, `RepositoryInterface`, `Serializable`, `Remote`

@SASScope("ALL") @BinaryCompatibilityOnly public class DAVChildRepository extends DAVRepository implements ChildRepositoryInterface, DAVRepositoryInterface
DAV child repository.

Since:
  1.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sas.services.information.DAVRepository

  `DAVRepository.DAVEvaluator`

- ## Field Summary

  ### Fields inherited from class com.sas.services.information.DAVRepository

  `_cache, _DAVurl, _isDestroyed, _OptHdrs, _rootResource, _url, formats, gmtZone, hostInfo`

  ### Fields inherited from class java.rmi.server.RemoteObject

  `ref`

  ### Fields inherited from interface com.sas.services.information.RepositoryInterface

  `PROFILE_BEST, PROFILE_NO, PROFILE_POSSIBLE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DAVChildRepository(ConnectionInfo _hostInfo, RepositoryCache parentCache, String name, DAVRepositoryInterface parent)`
  Constructs an instance of a child DAV repository.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addEntity(MetadataInterface input)`
  Add an entity to the repository.
  `void`
  `close()`
  Close the connection to the DAV server.
  `void`
  `commit()`
  Commit the changes in this child to its parent.
  `void`
  `deleteEntity(MetadataInterface input)`
  Delete an entity in the repository.
  `void`
  `rollback()`
  Roll back the changes in this child repository by deleting the cache without flushing it to the parent.
  `void`
  `updateEntity(MetadataInterface input)`

  ### Methods inherited from class com.sas.services.information.DAVRepository

  `addListener, addRootFolder, addToCache, browseFetch, browseFolder, browseFolderRecursive, browseObjectByPath, browseSearch, checkin, checkin, checkout, clearInformationService, connect, connect, connectWithProxy, copyTo, copyTo, factoryProcess, factoryTest, fetch, fetch, fetchByUrl, fetchContents, fetchContents, fetchRepositoryData, fetchUsingUrl, freeResource, fromByteArry, getBase, getCacheStatistics, getDomain, getEvaluator, getFactoryKey, getHost, getHttps, getHttpUrl, getIdentity, getInformationService, getISName, getItems, getObjectByPath, getObjectByPath, getObjectByPath, getObjectByPathString, getPersonalRepository, getPort, getPreviousVersionNames, getPrincipal, getReposIdwoTypeFromUrl, getRootFolder, getRootFolders, getServer, getServerString, getSharedResource, getTrackedObject, getUniqueId, getUrl, getUrlFromEntityKey, getUser, getUserContext, getUserPRInbox, getVersion, isDestroyed, isEqual, isProfileRepository, makePersonalAnchor, makeRootFolder, metadataChange, moveTo, moveTo, narrow, newChild, newMetadata, newMetadata, newMetadataByModel, produceDefaultMetadata, refreshAllData, refreshEntity, removeListener, removeRootFolder, runInformationServiceTimer, search, searchTree, searchTree, searchTree, searchTreeFromBase, searchTreeFromBaseWithScope, setACLFromStore, setDomain, setISName, setUser, setUserContext, supportsACL, supportsSEARCH, toByteArray, toString, trackEntity, uncheckout, updateEntity, version`

  ### Methods inherited from class java.rmi.server.UnicastRemoteObject

  `clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

  ### Methods inherited from class java.rmi.server.RemoteServer

  `getClientHost, getLog, setLog`

  ### Methods inherited from class java.rmi.server.RemoteObject

  `equals, getRef, hashCode, toStub`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.sas.services.information.DAVRepositoryInterface

  `addToCache, checkin, checkin, checkout, copyTo, copyTo, fetchContents, fetchContents, fetchRepositoryData, getHttps, getHttpUrl, getItems, getPersonalRepository, getPreviousVersionNames, getReposIdwoTypeFromUrl, getServerString, getSharedResource, getVersion, makePersonalAnchor, moveTo, moveTo, setACLFromStore, supportsACL, supportsSEARCH, trackEntity, uncheckout, updateEntity, version`

  ### Methods inherited from interface com.sas.services.information.RepositoryInterface

  `addListener, addRootFolder, browseFetch, browseFolder, browseFolderRecursive, browseObjectByPath, browseSearch, connect, connect, connectWithProxy, factoryProcess, factoryTest, fetch, fetch, fetchByUrl, fromByteArry, getBase, getCacheStatistics, getDomain, getEvaluator, getFactoryKey, getHost, getIdentity, getISName, getObjectByPath, getObjectByPath, getObjectByPath, getObjectByPathString, getPort, getPrincipal, getRootFolder, getRootFolders, getServer, getTrackedObject, getUniqueId, getUrl, getUser, getUserContext, isDestroyed, isEqual, isProfileRepository, makeRootFolder, narrow, newChild, newMetadata, newMetadata, newMetadataByModel, produceDefaultMetadata, refreshAllData, refreshEntity, removeListener, removeRootFolder, search, searchTree, searchTree, searchTreeFromBase, searchTreeFromBaseWithScope, setDomain, setISName, setUser, setUserContext, toByteArray`

- ## Constructor Details

  - ### DAVChildRepository

    public DAVChildRepository(ConnectionInfo _hostInfo, RepositoryCache parentCache, String name, DAVRepositoryInterface parent) throws RemoteException
    Constructs an instance of a child DAV repository.
    Parameters:
      `_hostInfo` - Host connection information.
      `parentCache` - Parent cache.
      `name` - Name
      `parent` - Parenting DAV repository.
    Throws:
      `RemoteException` - if unable to export the remote object.

- ## Method Details

  - ### commit

    public void commit() throws ServiceException, RemoteException
    Description copied from interface: `ChildRepositoryInterface`
    Commit the changes in this child to its parent. If an exception is thrown during the commit, you must call rollback to close the transaction.
    Specified by:
      `commit` in interface `ChildRepositoryInterface`
    Throws:
      `ServiceException` - if unable to commit the changes to the parent.
      `RemoteException` - if a network anomaly is encountered.

  - ### rollback

    public void rollback() throws ServiceException, RemoteException
    Description copied from interface: `ChildRepositoryInterface`
    Roll back the changes in this child repository by deleting the cache without flushing it to the parent.
    Specified by:
      `rollback` in interface `ChildRepositoryInterface`
    Throws:
      `ServiceException` - if unable to rollback.
      `RemoteException` - if a network anomaly is encountered.

  - ### close

    public void close() throws RemoteException
    Description copied from class: `DAVRepository`
    Close the connection to the DAV server.
    Specified by:
      `close` in interface `ChildRepositoryInterface`
    Specified by:
      `close` in interface `RepositoryInterface`
    Overrides:
      `close` in class `DAVRepository`
    Throws:
      `RemoteException` - in the event of a network failure

  - ### addEntity

    public void addEntity(MetadataInterface input) throws ServiceException, RemoteException
    Description copied from class: `DAVRepository`
    Add an entity to the repository.
    Specified by:
      `addEntity` in interface `RepositoryInterface`
    Overrides:
      `addEntity` in class `DAVRepository`
    Parameters:
      `input` - The metadata object to be added to the repository
    Throws:
      `ServiceException` - in the case of repository failures
      `RemoteException` - in the case of network failures

  - ### updateEntity

    public void updateEntity(MetadataInterface input) throws ServiceException, RemoteException
    Throws:
      `ServiceException`
      `RemoteException`

  - ### deleteEntity

    public void deleteEntity(MetadataInterface input) throws ServiceException, RemoteException
    Description copied from class: `DAVRepository`
    Delete an entity in the repository.
    Specified by:
      `deleteEntity` in interface `RepositoryInterface`
    Overrides:
      `deleteEntity` in class `DAVRepository`
    Parameters:
      `input` - The metadata object to delete from the repository
    Throws:
      `ServiceException` - in the case of repository failures
      `RemoteException` - in the case of network failures